Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm
Class QVTOVirtualMachine

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.QVTOVirtualMachine

All Implemented Interfaces:
  IQVTOVirtualMachineShell

    public class QVTOVirtualMachine

extends java.lang.Object
implements IQVTOVirtualMachineShell

Constructor Summary
`QVTOVirtualMachine(DebuggableExecutorAdapter executorAdapter)`

Method Summary
`IValue` | `evaluate(java.lang.String expressionText, QVTODebugTarget debugTarget, long frameID)`
`org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv` | `getEvaluationEnv()`
`boolean` | `isTerminated()`
`VMEvent` | `readVMEvent()`
`VMResponse` | `sendRequest(VMRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTOVirtualMachine

    public QVTOVirtualMachine(DebuggableExecutorAdapter executorAdapter)

Method Detail

### isTerminated

    public boolean isTerminated()

  Specified by:
    `isTerminated` in interface `IQVTOVirtualMachineShell`

### readVMEvent

    public VMEvent readVMEvent()
                        throws java.io.IOException

  Specified by:
    `readVMEvent` in interface `IQVTOVirtualMachineShell`
  Throws:
    `java.io.IOException`

### sendRequest

    public VMResponse sendRequest(VMRequest request)
                           throws java.io.IOException

  Specified by:
    `sendRequest` in interface `IQVTOVirtualMachineShell`
  Throws:
    `java.io.IOException`

### evaluate

    public IValue evaluate(java.lang.String expressionText,
                           QVTODebugTarget debugTarget,
                           long frameID)
                    throws CoreException

  Throws:
    `CoreException`

### getEvaluationEnv

    public org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv getEvaluationEnv()

  Since:
    1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD